# Enum Class METOperatingSystemName

java.lang.Object
java.lang.Enum<METOperatingSystemName>
com.io7m.montarre.adoptium.METOperatingSystemName

All Implemented Interfaces:
  `Serializable`, `Comparable<METOperatingSystemName>`, `Constable`

public enum METOperatingSystemName extends Enum<METOperatingSystemName>
Operating system names in the Adoptium API.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AIX`
  aix
  `LINUX`
  linux
  `MAC`
  mac
  `SOLARIS`
  solaris
  `WINDOWS`
  windows

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `adoptiumName()`
  `static METOperatingSystemName`
  `of(MOperatingSystemName os)`
  `static METOperatingSystemName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static METOperatingSystemName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINUX

    public static final METOperatingSystemName LINUX
    linux

  - ### WINDOWS

    public static final METOperatingSystemName WINDOWS
    windows

  - ### MAC

    public static final METOperatingSystemName MAC
    mac

  - ### SOLARIS

    public static final METOperatingSystemName SOLARIS
    solaris

  - ### AIX

    public static final METOperatingSystemName AIX
    aix

- ## Method Details

  - ### values

    public static METOperatingSystemName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static METOperatingSystemName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static METOperatingSystemName of(MOperatingSystemName os)
    Parameters:
      `os` - The input name
    Returns:
      An OS name

  - ### adoptiumName

    public String adoptiumName()
    Returns:
      The Adoptium OS name